{{- range $index, $currentStage := .Values.stages }}
{{- if eq $currentStage.active true }}
apiVersion: v1
kind: Service
metadata:
  annotations:
    description: Exposes and load balances the application pods
  name: drupal-{{ $.Values.okd_project_name }}-{{ $index }}
  labels:
    app: {{ $.Values.okd_project_name }}-{{ $index }}
  namespace: {{ $.Values.okd_project_name }}
  selfLink: /api/v1/namespaces/{{ $.Values.okd_project_name }}/services/drupal-{{ $.Values.okd_project_name }}-{{ $index }}
spec:
  # clusterIP: none
  ports:
    - name: web
      port: 8080
      protocol: TCP
      targetPort: 8080
  selector:
    name: drupal-{{ $.Values.okd_project_name }}-{{ $index }}
  sessionAffinity: ClientIP
  type: ClusterIP
status:
  loadBalancer: {}
---
{{- end }}
{{- end }}